package com.trade.client.config;

import lombok.Getter;
import lombok.Setter;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

import java.math.BigDecimal;

@Configuration
@Getter
@Setter
public class CustomizeConfiguration {

    // 系统网址
    @Value("${trade.website:http://citp-finance.com}")
    private String website;
    // 退税服务费金额
    @Value("${taxRebate.serviceFee.amount:2000}")
    private BigDecimal taxRebateServiceFeeAmount;
    // 退税服务费收款方名称
    @Value("${taxRebate.serviceFee.payeeName:上海银颗科技服务有限公司}")
    private String taxRebateServiceFeePayeeName;
    // 退税服务费收款方证件类型
    @Value("${taxRebate.serviceFee.payeeCertNo:91310000MA7M3DJM2P}")
    private String taxRebateServiceFeePayeeCertNo;
    // 退税服务费收款方账号
    @Value("${taxRebate.serviceFee.payeeName:635973777}")
    private String taxRebateServiceFeePayeeAccountNo;
    // 退税服务费收款方开户行名称
    @Value("${taxRebate.serviceFee.payeeName:中国民生银行股份有限公司上海曹杨支行}")
    private String taxRebateServiceFeePayeeBankName;
    // 退税服务联系人
    @Value("${taxRebate.serviceFee.contactPerson:吴钧}")
    private String taxRebateServiceFeeContactPerson;
    // 退税服务联系电话
    @Value("${taxRebate.serviceFee.contactPhone:021-61677022}")
    private String taxRebateServiceFeeContactPhone;
    // 退税服务联系邮箱
    @Value("${taxRebate.serviceFee.contactEmail:jack.wu@changan-inkasso.com}")
    private String taxRebateServiceFeeContactEmail;
    // 退税服务联系地址
    @Value("${taxRebate.serviceFee.contactAddress:上海市普陀区铜川路699弄2号中海中心A座1901室}")
    private String taxRebateServiceFeeContactAddress;
}
