package com.trade.service.business.separateaccounts.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.trade.common.core.page.PageDomain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @description:
 * @Author: wanglang
 * @Date: 2024/10/23 19:40
 * @Version: 1.0
 */
@Data
public class SeparateAccountsSearchDto extends PageDomain {

    @ApiModelProperty(name = "paymentType", value = "款项类型1出口退税款2贸易回款")
    private String paymentType;
    @ApiModelProperty(name = "financierIdentifier", value = "资金方标识")
    private String financierIdentifier;
    @ApiModelProperty(name = "importerCertNo", value = "进口商统一社会信用代码/注册号")
    private String importerCertNo;
    @ApiModelProperty(name = "status", value = "分账状态1待处理2已完成")
    private String status;
    @ApiModelProperty(name = "contractNo", value = "合同编号")
    private String contractNo;
    @ApiModelProperty(name = "customerUserInfo", value = "客户id或者客户名称")
    private String customerUserInfo;
    @ApiModelProperty(name = "beginTime", value = "入账开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date beginTime;
    @ApiModelProperty(name = "endTime", value = "入账结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date endTime;
    @ApiModelProperty(name = "transactionNumber", value = "交易编号")
    private String transactionNumber;
    @ApiModelProperty(name = "agencyCertNo", value = "代理公司统一社会信用代码/注册号")
    private String agencyCertNo;
    @ApiModelProperty(name = "businessNumber", value = "入账业务编号")
    private String businessNumber;
}
